class PostHistoriesRequestModel {
  List<ListMedicalHistoryVM>? listMedicalHistoryVM;
  dynamic doctorID;

  PostHistoriesRequestModel({this.listMedicalHistoryVM, this.doctorID});

  PostHistoriesRequestModel.fromJson(Map<String, dynamic> json) {
    if (json['listMedicalHistoryVM'] != null) {
      listMedicalHistoryVM = <ListMedicalHistoryVM>[];
      json['listMedicalHistoryVM'].forEach((v) {
        listMedicalHistoryVM!.add(new ListMedicalHistoryVM.fromJson(v));
      });
    }
    doctorID = json['DoctorID'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.listMedicalHistoryVM != null) {
      data['listMedicalHistoryVM'] =
          this.listMedicalHistoryVM!.map((v) => v.toJson()).toList();
    }
    data['DoctorID'] = this.doctorID;
    return data;
  }
}

class ListMedicalHistoryVM {
  int? patientMRN;
  int? historyType;
  int? historyId;
  int? episodeId;
  int? appointmentNo;
  bool? isChecked;
  String? remarks;

  ListMedicalHistoryVM(
      {this.patientMRN,
      this.historyType,
      this.historyId,
      this.episodeId,
      this.appointmentNo,
      this.isChecked,
      this.remarks});

  ListMedicalHistoryVM.fromJson(Map<String, dynamic> json) {
    patientMRN = json['patientMRN'];
    historyType = json['historyType'];
    historyId = json['historyId'];
    episodeId = json['episodeId'];
    appointmentNo = json['appointmentNo'];
    isChecked = json['isChecked'];
    remarks = json['remarks'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['patientMRN'] = this.patientMRN;
    data['historyType'] = this.historyType;
    data['historyId'] = this.historyId;
    data['episodeId'] = this.episodeId;
    data['appointmentNo'] = this.appointmentNo;
    data['isChecked'] = this.isChecked;
    data['remarks'] = this.remarks;
    return data;
  }
}
